get
https://api.marketcircle.net/v1/tasks/
List the details of a task
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Task Attributes
| Attribute Name | Type | Description | Attributes |
|---|---|---|---|
self | reference | URL of the Task | Read-only Non-null |
title | string | Title of the task | Read-Write Nullable |
details | string | Details of the task | Read-Write Nullable |
category | string | Category name | Read-Write Nullable |
keywords | array of string | List of Keywords | Read-Write Nullable |
due | datetime | Timestamp for when the task is due | Read-Write Nullable |
location | string | Location of the task | Read-Write Nullable |
type | string | The type of the task See task types for valid values | Read-Write Non-null Default value is "todo" |
status | string | The status of the task See task statuses for valid values | Read-Write Non-null Default value is "open" |
priority | string | The priority of the task. Can be 'low', 'medium', or 'high'. | Read-Write Nullable |
started | datetime | Timestamp for when the task starts | Read-Write Nullable |
completed | datetime | Timestamp for when the task ends | Read-Write Nullable |
estimated_time | integer | Estimated time to complete the task in seconds | Read-Write Nullable |
subtasks | array of task | List of Task for which this task is the parent. | Read-Write Nullable |
parent_task | reference | URL of the Task which is the parent of this task. | Read-Write Nullable |
appointments | reference | URLs of the linked Appointments | Read-Write Nullable |
contacts | reference | URLs of the linked Contacts | Read-Write Nullable |
companies | reference | URLs of the linked Companies | Read-Write< Nullable |
groups | reference | URLs of the linked Groups | Read-Write Nullable |
notes | reference | URLs of the linked Notes | Read-Write Nullable |
forms | reference | URLs of the linked Forms | Read-Write Nullable |
opportunities | reference | URLs of the linked Opportunities | Read-Write Nullable |
projects | reference | URLs of the linked Projects | Read-Write Nullable |
owner | reference | URL of the User that is responsible for the task | Read-Write Non-null |
creator | reference | URL of the User that created the task | Read-only Non-null |
trashed | boolean | Is the item in the trash | Read-Write Non-null |
create_date | timestamp | Timestamp from when the task was created | Read-only Non-null |
modify_date | timestamp | Timestamp from when the task was last updated | Read-only Non-null |
Task types
"todo" | A to do |
"inbound_call" | An inbound call |
"outbound_call" | An outbound call |
"fax" | A fax |
"email" | An email |
"mail" | A physical mailing |
"print" | A printing |
Task statuses
"open" | The task is still active |
"pending" | The task is pending |
"deferred" | The task has been deferred |
"in_progress" | The task is in progress |
"done" | The task has been completed |
"cancelled" | The task has been cancelled |